Apache Tomcat 7.0.42

## org.apache.tomcat.util.buf
Interface CharChunk.CharOutputChannel

All Known Implementing Classes:
  InputBuffer, OutputBuffer

Enclosing class:
  CharChunk

    public static interface CharChunk.CharOutputChannel

When we need more space we'll either grow the buffer ( up to the limit ) or send it to a channel.

Method Summary
`void` `realWriteChars(char[] cbuf, int off, int len)` Send the bytes ( usually the internal conversion buffer ).

Method Detail

### realWriteChars

    void realWriteChars(char[] cbuf,
                        int off,
                        int len)
                        throws IOException

  Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.

  Throws:
    `IOException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.